# $Revision: 1.17 $, $Date: 2002/08/18 15:27:21 $
Summary:	Daemon that terminates users idle sessions
Summary(pl):	Demon ktry koczy nieaktywne sesje uytkownikw
Name:		idled
Version:	1.16
Release:	4
License:	non-profit
Group:		Daemons
Source0:	http://www.darkwing.com/idled/download/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-utmp.patch
Patch4:		%{name}-yacc.patch
BuildRequires:	bison
Prereq:		fileutils
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
Requires:	mailx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Idled is a daemon that runs on a machine to keep an eye on current
users. If users have been idle for too long, or have been logged on
for too long, it will warn them and log them out appropriately.

%description -l pl
Idled jest demonem ktry pilnuje aktualnie zalogowanych uytkownikw.
Jeli uytkownik by nieaktywny przez odpowiednio dugi czas, lub by
za dugo zalogowany, idled ostrzee go i odpowiednio zakoczy sesj.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} clean
%{__make} \
	OPTFLAGS="%{rpmcflags} -DMAILMESSAGEFILE=\"%{_sysconfdir}/idled/logout.msg\""\
	LDFLAGS="%{rpmldflags}" \
	DEST="%{_sbindir}" \
	CFDEST="%{_sysconfdir}/idled" \
	MDEST="%{_mandir}" \
	LOGDEST="/var/log" \
	YACC="bison -y"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/idled,%{_mandir}/man{5,8},/var/log,/etc/rc.d/init.d}

install idled $RPM_BUILD_ROOT%{_sbindir}
install idled.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install idled.8 $RPM_BUILD_ROOT%{_mandir}/man8
mv -f idled.cf.template idled.conf.template

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/idled

touch $RPM_BUILD_ROOT/var/log/idled.log
touch $RPM_BUILD_ROOT%{_sysconfdir}/idled/logout.msg

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/log/idled.log
chmod 640 /var/log/cron
/sbin/chkconfig --add idled
if [ -f /var/lock/subsys/idled ]; then
	/etc/rc.d/init.d/idled restart >&2
else
	echo "Run \"/etc/rc.d/init.d/idled start\" to start idled."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/idled ]; then
		/etc/rc.d/init.d/idled stop >&2
	fi
	/sbin/chkconfig --del idled
fi

%files
%defattr(644,root,root,755)
%doc idled.conf.template README TODO CHANGES COPYRIGHT
%dir %{_sysconfdir}/idled
%{_sysconfdir}/idled/logout.msg
%attr(755,root,root) %{_sbindir}/idled
%attr(754,root,root) /etc/rc.d/init.d/idled
%{_mandir}/man*/*
%attr(640,root,root) %ghost /var/log/idled.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: idled.spec,v $
Revision 1.17  2002/08/18 15:27:21  blues
- release 4 - new doc

Revision 1.16  2002/04/25 16:36:01  arturs
fixed a small typo

Revision 1.15  2002/03/27 11:18:22  qboosh
- use bison instead of byacc

Revision 1.14  2002/03/26 08:13:05  marcus
- addedd BR byacc

Revision 1.13  2002/03/02 08:02:10  kloczek
- cosmetics.

Revision 1.12  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/22 13:53:12  qboosh
- s/Copyright/License/

Revision 1.9  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.5  2000/11/21 15:00:17  baggins
- release 3
- added utmp patch (use ut* glibc calls)
- added -DHAVE_UTMPX to CFLAGS

Revision 1.4  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/27 11:18:01  zagrodzki
- fixed logout.msg directory

Revision 1.2  2000/05/26 23:25:44  kloczek
- release 2,
- standarized %preun (down idled service only when /var/lock/subsys/idled file
  exist).

Revision 1.1  2000/05/26 13:50:40  zagrodzki
- initial release
